Summary: A Bootp and DHCP client for automatic IP configuration.
Name: hhl-target-pump
Version: 0.8.3
Release: %{_hhl_build_id}.1
Source: pump-%{version}.tar.gz
Source1: pump.tmpl
Source2: pump-devel.tmpl
Patch: pump-dir.patch
License: GPL
Group: base
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: hhl-%{_hhl_target_arch}-popt
Prefix: %{_hhl_cross_target_dir}
%define _docdir		%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%define pkgname hhl-%{_hhl_target_arch}-pump

%define _sbindir        %{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
%define _bindir         %{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
%define _incdir         %{_hhl_cross_target_dir}%{_hhl_target_include_dir}
%define _libdir         %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
%define _mandir         %{_hhl_cross_target_dir}%{_hhl_target_man_dir}
%define _infodir        %{_hhl_cross_target_dir}%{_hhl_target_info_dir}
%define _datadir        %{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
%define _rsbindir        %{_hhl_cross_target_dir}/sbin

%description
Pump is a combined BOOTP and DHCP client daemon, which allows your
machine to retrieve configuration information from a server.

%package -n %{pkgname}
Summary: A Bootp and DHCP client for automatic IP configuration.
Group: System Environment/Daemons
Conflicts: hhl-%{_hhl_target_arch}-dhcpcd, hhl-%{_hhl_target_arch}-dhcp-client
AutoReqProv: no

%description -n %{pkgname}
%{distribution}
Pump is a combined BOOTP and DHCP client daemon, which allows your
machine to retrieve configuration information from a server.

%package -n %{pkgname}-dev
Summary: Development tools for sending dhcp requests
Group: Development/Libraries
AutoReqProv: no

%description -n %{pkgname}-dev
The pump-dev package provides system developers the ability to send
bootp and dhcp requests from their programs.

%prep
%target_check
%setup -n pump-%{version} -q
%patch -p1

%build
# PATH=%{_hhl_host_bin_dir}:%{_hhl_cross_bin_dir}:$PATH

%target_setup
# export CC=%{_hhl_target_toolprefix}gcc
# export HOSTCC=gcc
# export RANLIB=%{_hhl_target_toolprefix}ranlib
# export AR=%{_hhl_target_toolprefix}ar
# export CPP=%{_hhl_target_toolprefix}cpp
# export CXX=%{_hhl_target_toolprefix}g++

export DIR_BIN="%{_bindir}"
export DIR_LIB="%{_libdir}"
export DIR_INC="%{_incdir}"
export DIR_MAN="%{_mandir}"

# Don't just make.  pump normally builds netconfig, which
# requires newt, which we don't have.
make pump LOADLIBES="-lpopt -lresolv"

%install
rm -rf %{buildroot}
%target_setup

export sbindir="%{_rsbindir}"
export libdir="%{_libdir}"
export includedir="%{_incdir}"
export mandir="%{_mandir}"

# chmod 755 netconfig
chmod 755 pump
chmod 644 pump.8
chmod 644 libpump.a
chmod 644 pump.h

mkdir -p %{buildroot}%{_rsbindir}
cp pump %{buildroot}%{_rsbindir}/
# cp netconfig %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}
cp libpump.a %{buildroot}%{_libdir}/
mkdir -p %{buildroot}%{_incdir}
cp pump.h %{buildroot}%{_incdir}/
mkdir -p %{buildroot}%{_mandir}/man8
cp pump.8 %{buildroot}%{_mandir}/man8/

gzip -v9 %{buildroot}%{_mandir}/man*/*
cp COPYING LICENSE 


install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/pump
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/pump-dev

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{_rsbindir}/*
# %{_sbindir}/pump
%doc %{_mandir}/*/*

%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/pump

%files -n %{pkgname}-dev
%defattr(-,root,root)
%{_libdir}/libpump.a
%{_incdir}/pump.h

%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/pump-dev

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Mar 13 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file

